
Foreman - Bug #2716

error in discovery plugin menu and user without provisioning permissions

06/26/2013 07:03 AM - Amos Benari

Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category: Web Interface   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

no method [] for nil class is raised in the discovery plugin when user without provisioning permission is logged in.

Steps to reproduce:

Create a user with edit host role only.

Add the discovery plugin.

login as the new user

History

#1 - 06/28/2013 11:41 AM - Dominic Cleal

- Category set to Web Interface

- Status changed from Assigned to Ready For Testing

- Target version set to 1.2.0

https://github.com/theforeman/foreman/pull/750

https://github.com/theforeman/foreman_discovery/issues/16

#2 - 06/28/2013 11:44 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in f039437bf004b2ddecea12f24219ba1cb2d5136c.
